<?php
include("conexao.php");
include_once("functions.php");
include_once(Idioma(1));

if(ProtegePag() == true){
global $_TRA;

$ColunaAdmin = array('RevDesativar');
$VerificarAcesso = VerificarAcesso('rev', $ColunaAdmin);
$AdminDesativar = $VerificarAcesso[0];
 
if($AdminDesativar == 'S'){

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
 
	$CadUser = (isset($_POST['id'])) ? $_POST['id'] : '';
	$CadUserOnline = InfoUser(2);
	$ArvoreAdminOnline = ArvoreRev($CadUserOnline);

	if(empty($CadUser)){
		echo MensagemAlerta($_TRA['erro'], $_TRA['cvfi'], "danger");
	}
	elseif(!in_array($CadUser, $ArvoreAdminOnline)) {
		echo MensagemAlerta($_TRA['erro'], str_replace("USER_TAG",$CadUser,$_TRA['npounpav']), "danger");
	}
	else{

		$SQLUser = "SELECT CadUser FROM rev WHERE usuario = :usuario";
		$SQLUser = $painel_user->prepare($SQLUser);
		$SQLUser->bindParam(':usuario', $CadUser, PDO::PARAM_STR);
		$SQLUser->execute();
		$LnUser = $SQLUser->fetch();
	
		$CadUser2 = InfoUser(2);
	
		
		
		if ($CadUser2 !== $LnUser['CadUser']) {
			echo MensagemAlerta($_TRA['erro'], "Você não tem permissão para Desativar este usuário. " , "danger");
			exit;  // Impede a exclusão se os CadUser não forem iguais
		}	
		
	DesativarAtivarArvore($CadUser, "S");
	
	$inativo = "S";
	$SQL = "UPDATE rev SET
			inativo = :inativo
            WHERE usuario = :usuario";
	$SQL = $painel_user->prepare($SQL);
	$SQL->bindParam(':inativo', $inativo, PDO::PARAM_STR); 
	$SQL->bindParam(':usuario', $CadUser, PDO::PARAM_INT); 
	$SQL->execute(); 
	
	if(empty($SQL)){
		echo MensagemAlerta($_TRA['erro'], $_TRA['erropro'], "danger");
	}
	else{
		echo MensagemAlerta($_TRA['sucesso'], $_TRA['d1cs'], "success", "index.php?p=revendedor");
	}
		
		
	}
}

}else{
	echo Redirecionar('index.php');
}
}else{
	echo Redirecionar('login.php');
}	

?>